Bug 2900 - [UPDATE REQUEST] grub2-2.00-29
: [UPDATE REQUEST] grub2-2.00-29
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Highest critical
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 15:10 MSD by Aleksandr Kazantcev
Modified: 2013-10-21 12:19 MSD (History)
2 users (show)

See Also:
RPM Package: grub2-2.00-29
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
gg2.png (214.58 KB, image/png)
2013-10-18 03:05 MSD, Postnikov Dmitry
Details
black screen (1.93 MB, image/jpeg)
2013-10-18 06:45 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2013-10-16 15:10:39 MSD
Fix efi/gpt
Comment 1 Aleksandr Kazantcev 2013-10-16 15:12:03 MSD
https://abf.rosalinux.ru/build_lists/1354635
https://abf.rosalinux.ru/build_lists/1354636

Advisory: This update fix segfault when generate grub2.cfg on EFI/GPT systems. Now grub2.cfg generate properly without problem.
Comment 2 Vladimir Potapov 2013-10-17 11:43:59 MSD
The package route to extended testing
Comment 3 Vladimir Potapov 2013-10-17 16:11:09 MSD
New kernel don't show in menu after install

update-grub2 
Генерируется grub.cfg …
Найдена тема: /boot/grub2/themes/rosa/theme.txt
Найден фон: /boot/grub2/themes/rosa/terminal_background.png
Найден образ linux: /boot/vmlinuz-3.10.15-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.10.15-nrj-desktop-1rosa.img
sed: невозможно прочитать echo: Нет такого файла или каталога
sed: невозможно прочитать $message: Нет такого файла или каталога
*******************
QA Denied
Comment 5 Postnikov Dmitry 2013-10-18 03:05:23 MSD
Created attachment 2067 [details]
gg2.png

(In reply to comment #4)
> Fix packages
> 
> https://abf.rosalinux.ru/build_lists/1356575
> https://abf.rosalinux.ru/build_lists/1356576

 	
I got all the GPT/UEFI install your system and update the grub2. All works.
Comment 6 Vladimir Potapov 2013-10-18 06:45:28 MSD
Created attachment 2068 [details]
black screen

grub2 for i586 (x-64 OK) don't found theme
[root@FRESHx86 keleg]# update-grub2
Генерируется grub.cfg …
Найден образ linux: /boot/vmlinuz-3.10.9-nrj-desktop-pae-1rosa
Найден образ initrd: /boot/initrd-3.10.9-nrj-desktop-pae-1rosa.img
Найден образ linux: /boot/vmlinuz-3.10.9-nrj-desktop-1rosa
Найден образ initrd: /boot/initrd-3.10.9-nrj-desktop-1rosa.img
Найден образ linux: /boot/vmlinuz-3.8.12-nrj-desktop-2rosa
Найден образ initrd: /boot/initrd-3.8.12-nrj-desktop-2rosa.img
  No volume groups found
Найден ROSA Linux 2012.0 (2012.0) на /dev/sda1
Найден ROSA Desktop.Fresh 2012.1 (2012.1) на /dev/sda11
Найден ROSA Linux 2012.0 (2012.0) на /dev/sda7

This bug present in old versions grub theme update in
http://bugs.rosalinux.ru/show_bug.cgi?id=2727
and shoiwed for users http://forum.rosalab.ru/viewtopic.php?f=39&t=2526
maybe bad packages in repo.

Please, fix it!
Comment 7 Aleksandr Kazantcev 2013-10-18 09:44:52 MSD
Theme is another problem and need investigate - now we need this update, becouse previous grub2 fully broken on EFI/GPT system :(

For theme please create new bug.
Comment 8 Vladimir Potapov 2013-10-18 12:37:49 MSD
grub2-2.00-29-rosa2012.1
******************* Advisory ***************************
This update fix segfault when generate grub2.cfg on EFI/GPT systems.
********************************************************
QA Verified